# Incoming_Message_Queue.h File Reference

`#include "tao/Pluggable_Messaging_Utils.h"`
`#include "ace/Message_Block.h"`
`#include "Incoming_Message_Queue.inl"`

Include dependency graph for Incoming_Message_Queue.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | TAO_Incoming_Message_Queue
| A queue of the messages in the incoming data path. More...
class | TAO_Queued_Data
| Represents a node in the queue of incoming messages. More...

## Variables

const size_t | TAO_MISSING_DATA_UNDEFINED = ~((size_t) 0)

## Detailed Description

Id
  Incoming_Message_Queue.h,v 1.22 2006/02/22 20:52:11 frehberger Exp

Author:
  Balachandran Natarajan <bala@cs.wustl.edu>

## Variable Documentation

const size_t TAO_MISSING_DATA_UNDEFINED = ~((size_t) 0)

| Constant value indicating that the correct value is unknown yet, probably parsing the header failed due to insufficient data in buffer.